aboutsummaryrefslogtreecommitdiff
path: root/debian/libmeegotouch-bin.postrm
diff options
context:
space:
mode:
authorArmin Berres <armin.berres@basyskom.de>2010-04-16 16:35:50 +0200
committerTomas Junnonen <tomas.junnonen@nokia.com>2010-04-21 14:11:55 +0300
commitd5c0bf0470f863a80373bf7fd35a2ae62d0c702b (patch)
tree562fece13c3e07ea66dc4b67b2ca74808454a757 /debian/libmeegotouch-bin.postrm
parentbb9bd8311a08544489debad26f3cfe064ec0780c (diff)
New: Added gconf schema file
RevBy: Tomas Details: The schema file contains the default out-of-the-box settings for the gconf keys used by the toolkit
Diffstat (limited to 'debian/libmeegotouch-bin.postrm')
-rwxr-xr-xdebian/libmeegotouch-bin.postrm36
1 files changed, 36 insertions, 0 deletions
diff --git a/debian/libmeegotouch-bin.postrm b/debian/libmeegotouch-bin.postrm
new file mode 100755
index 00000000..316209cc
--- /dev/null
+++ b/debian/libmeegotouch-bin.postrm
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/meegotouch.schemas > /dev/null
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+